Bug 328982 - In some case konqueror fails to load web fonts
Summary: In some case konqueror fails to load web fonts
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml renderer (show other bugs)
Version: 4.11.4
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-18 20:54 UTC by Andrea Iacovitti
Modified: 2014-01-09 19:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.5


Attachments
screenshot of buggy github page (85.88 KB, image/png)
2013-12-18 20:54 UTC, Andrea Iacovitti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrea Iacovitti 2013-12-18 20:54:23 UTC
Created attachment 84167 [details]
screenshot of buggy github page

Some pages (like https://github.com/ or http://sourceforge.net/) are not rendered correctly because khtml fails to load web fonts.
It happens due to multiple src: property declarations in @font-face rule (for compatibility with old IE):
@font-face {
      font-family:'octicons';
      src:url("/octicons.eot");
      src:url("/octicons.ttf") format("truetype");
}
the last src: declaration should override the first one.
khtml instead pick up the first one but eot fonts (Embedded OpenType) are unsupported.
Comment 1 Andrea Iacovitti 2013-12-18 21:16:12 UTC
Git commit 534b15605dfd37c5d096c402093b43c1c1742759 by Andrea Iacovitti.
Committed on 18/12/2013 at 21:09.
Pushed by aiacovitti into branch 'KDE/4.11'.

@font-face rule: fix overriding of src property declarations.
FIXED-IN: 4.11.5

M  +11   -1    khtml/css/cssparser.cpp

http://commits.kde.org/kdelibs/534b15605dfd37c5d096c402093b43c1c1742759
Comment 2 Andrea Iacovitti 2014-01-09 19:39:16 UTC
Git commit 880293f5aa0efe4f7709f7c8e71fa611b719f8ce by Andrea Iacovitti.
Committed on 09/01/2014 at 19:34.
Pushed by aiacovitti into branch 'master'.

(Forward-port kdelibs commit 534b15605dfd37c5d096c402093b43c1c1742759)

@font-face rule: fix overriding of src property declarations.
FIXED-IN: 4.11.5

M  +11   -1    src/css/cssparser.cpp

http://commits.kde.org/khtml/880293f5aa0efe4f7709f7c8e71fa611b719f8ce